ResultDocument (estraier.pure)
Keywords: estraier.pure.ResultDocument class

Overview | Package | Class | Tree | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## estraier.pure
Class ResultDocument

    java.lang.Object
      estraier.pure.ResultDocument

public class ResultDocument
extends java.lang.Object

Abstraction of document in result set.

Method Summary
`java.util.List` | `attr_names()` Get a list of attribute names.
`java.lang.String` | `attr(java.lang.String name)` Get the value of an attribute.
`java.lang.String` | `keywords()` Get keywords.
`java.lang.String` | `snippet()` Get the snippet.
`java.lang.String` | `uri()` Get the URI.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### attr_names

    public java.util.List attr_names()

  Get a list of attribute names.

  Returns:
    a list object of attribute names.

### attr

    public java.lang.String attr(java.lang.String name)

  Get the value of an attribute.

  Parameters:
    `name` - the name of an attribute.
  Returns:
    the value of the attribute or `null' if it does not exist.

### keywords

    public java.lang.String keywords()

  Get keywords.

  Returns:
    a string of serialized keywords of the result document object. There are tab separated values. Keywords and their scores come alternately.

### snippet

    public java.lang.String snippet()

  Get the snippet.

  Returns:
    a string of the snippet of the result document object. There are tab separated values. Each line is a string to be shown. Though most lines have only one field, some lines have two fields. If the second field exists, the first field is to be shown with highlighted, and the second field means its normalized form.

### uri

    public java.lang.String uri()

  Get the URI.

  Returns:
    the URI.

Overview | Package | Class | Tree | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD